Summary: Sign and verify Internet mail with DKIM/DomainKey signatures
Name: perl-Mail-DKIM
Version: 1.20240923
Release: 1%{?dist}
License: Artistic-1.0-Perl OR GPL-1.0-or-later
Group: Development/Libraries
URL: https://metacpan.org/pod/Mail::DKIM
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://cpan.metacpan.org/modules/by-module/Mail/Mail-DKIM-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: %{__perl}
BuildRequires: perl(base)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
Requires: perl(:MODULE_COMPAT_%(eval "$(%{__perl} -V:version)"; echo $version))

%description
This module implements the various components of the DKIM and DomainKeys
message-signing and verifying standards for Internet mail. It currently
tries to implement RFC4871 (for DKIM) and RFC4870 (DomainKeys).

It is required if you wish to enable DKIM checking in SpamAssassin via the
Mail::SpamAssassin::Plugin::DKIM plugin.

%prep
%setup -q -n Mail-DKIM-%{version}
# Make the example scripts non-executable
%{__chmod} -x scripts/*.pl
# Use the real path in the shebang
%{__perl} -pi -e 's|^#!/usr/bin/env perl|#!%{__perl}|' t/*.t scripts/arcverify.pl
%{__perl} -pi -e 's|^#!perl|#!%{__perl}|' t/*.t
# Remove dos-type line endings
%{__perl} -pi -e 's/\r//' doc/qp1.txt

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make}

%install
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -name .packlist -exec %{__rm} -f {} \;
%{__chmod} -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes doc HACKING.DKIM README README.md TODO scripts/*.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Mon Sep 23 2024 Simon Matter <simon.matter@invoca.ch> 1.20240923-1
- upgrade to release 1.20240923

* Tue Aug 27 2024 Simon Matter <simon.matter@invoca.ch> 1.20240827-1
- upgrade to release 1.20240827

* Wed Jun 19 2024 Simon Matter <simon.matter@invoca.ch> 1.20240619-1
- upgrade to release 1.20240619

* Thu Feb 15 2024 Simon Matter <simon.matter@invoca.ch> 1.20240124-2
- add clean section to spec file

* Thu Jan 25 2024 Simon Matter <simon.matter@invoca.ch> 1.20240124-1
- upgrade to release 1.20240124

* Mon Sep 11 2023 Simon Matter <simon.matter@invoca.ch> 1.20230911-1
- upgrade to release 1.20230911

* Fri Jun 30 2023 Simon Matter <simon.matter@invoca.ch> 1.20230630-1
- upgrade to release 1.20230630
- change to SPDX license tag

* Mon Feb 13 2023 Simon Matter <simon.matter@invoca.ch> 1.20230212-1
- upgrade to release 1.20230212

* Fri May 20 2022 Simon Matter <simon.matter@invoca.ch> 1.20220520-1
- upgrade to release 1.20220520

* Fri Apr 08 2022 Simon Matter <simon.matter@invoca.ch> 1.20220408-1
- upgrade to release 1.20220408

* Thu Sep 10 2020 Simon Matter <simon.matter@invoca.ch> 1.20200907-1
- upgrade to release 1.20200907

* Mon Aug 24 2020 Simon Matter <simon.matter@invoca.ch> 1.20200824-1
- upgrade to release 1.20200824

* Mon Jul 27 2020 Simon Matter <simon.matter@invoca.ch> 1.20200724-1
- upgrade to release 1.20200724

* Wed Jul 08 2020 Simon Matter <simon.matter@invoca.ch> 1.20200708-1
- upgrade to release 1.20200708

* Wed May 13 2020 Simon Matter <simon.matter@invoca.ch> 1.20200513.1-1
- upgrade to release 1.20200513.1
- fix URL

* Mon Apr 20 2020 Simon Matter <simon.matter@invoca.ch> 0.58-2
- add support for EL8

* Wed Nov 13 2019 Simon Matter <simon.matter@invoca.ch> 0.58-1
- upgrade to release 0.58

* Tue Oct 08 2019 Simon Matter <simon.matter@invoca.ch> 0.57-1
- upgrade to release 0.57

* Thu Sep 05 2019 Simon Matter <simon.matter@invoca.ch> 0.56-1
- upgrade to release 0.56

* Fri Apr 12 2019 Simon Matter <simon.matter@invoca.ch> 0.55-1
- upgrade to release 0.55

* Wed Dec 12 2018 Simon Matter <simon.matter@invoca.ch> 0.54-1
- initial package
